Bug 1420092 (CVE-2017-5931) - CVE-2017-5931 Qemu: virtio: integer overflow in handling virtio-crypto requests
Summary: CVE-2017-5931 Qemu: virtio: integer overflow in handling virtio-crypto requests
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-5931
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1409775
TreeView+ depends on / blocked
 
Reported: 2017-02-07 18:52 UTC by Prasad J Pandit
Modified: 2019-09-29 14:06 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:07:11 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2017-02-07 18:52:55 UTC
Quick Emulator(Qemu) built with the Virtio crypto device emulation support is
vulnerable to an integer overflow issue. It could occur while handling data
encryption/decryption requests in 'virtio_crypto_handle_sym_req'.

A privileged user inside guest could use this flaw to crash the Qemu process
resulting in DoS or potentially execute arbitrary code on the host with
privileges of the Qemu process.

Upstream patch:
---------------
  -> https://lists.nongnu.org/archive/html/qemu-devel/2017-01/msg01368.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/02/07/8

Comment 1 Prasad J Pandit 2017-02-07 18:53:30 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)


Note You need to log in before you can comment on or make changes to this bug.